#include <iostream>
#include <fstream>
using namespace std;

char* CESTA = "studenti.dat";

bool zapis(ofstream&, char*);
bool cteni(ifstream&, char*);

int main()
{
    string data;
    bool stav;
    ofstream vystup;
    
    stav = zapis(vystup, CESTA);
    if (!stav)
    {
        cout << "Chyba pri otevirani souboru " << CESTA << " pro zapis.\n";
        cout << "Program bude ukoncen.\n";
        return 1;
    }

    cout << "Zapis do souboru\n";
    cout << "================\n";
    cout << "Zadejte nazev prednasky: ";
    getline(cin, data);
    vystup << data << "\n";
    cout << "Zadejte pocet studentu: ";
    getline(cin, data);
    vystup << data << "\n";
    vystup.close();

    ifstream vstup;
    stav = cteni(vstup, CESTA);
    if (!stav)
    {
        cout << "Chyba pri otevirani souboru " << CESTA << " pro cteni.\n";
        cout << "Program bude ukoncen.\n";
        return 1;
    }

    getline(vstup, data);
    while (!vstup.fail())
    {
        cout << data << "\n";
        getline(vstup, data);
    }
    vstup.close();

    return 0;
}

bool zapis(ofstream& soubor, char* cesta)
{
    soubor.open(cesta);
    return (!soubor.fail());
}

bool cteni(ifstream& soubor, char* cesta)
{
    soubor.open(cesta);
    return (!soubor.fail());
}
