#include <iostream>
#include <string>
using namespace std;

class Osoba
{
private:
    string jmeno;
    int vyska;
public:
    string ukaz_jmeno() const;
    void nastav_jmeno(string);
    int ukaz_vysku() const;
    void nastav_vysku(int);
};

string Osoba::ukaz_jmeno() const
{
    return jmeno;
}

void Osoba::nastav_jmeno(string nove)
{
    jmeno = (nove.length() == 0) ?
        "Anonym" : nove;
}

int Osoba::ukaz_vysku() const
{
    return vyska;
}

void Osoba::nastav_vysku(int nova)
{
    vyska = (nova < 0) ? 0 : nova;
}

void nacti(Osoba&);
void vypis(const Osoba);

int main()
{
    Osoba nekdo;
    nacti(nekdo);
    cout << "==========\n";
    cout << "Vystup dat\n";
    cout << "==========\n";
    vypis(nekdo);
    return 0;
}

void nacti(Osoba& nekdo)
{
    string jmeno;
    int vyska;

    cout << "Zadejte jmeno: ";
    getline(cin, jmeno);
    nekdo.nastav_jmeno(jmeno);

    cout << "Zadejte vysku v centimetrech: ";
    cin >> vyska;
    cin.ignore();
    nekdo.nastav_vysku(vyska);
}

void vypis(const Osoba& nekdo)
{
    cout << "Osoba se jmenuje " << nekdo.ukaz_jmeno()
         << " a meri " << nekdo.ukaz_vysku() << " cm.\n";
}
